com.smartgwt.client.widgets.form.fields

## Class ColorItem

- java.lang.Object
- - com.smartgwt.client.core.JsObject
  - - com.smartgwt.client.core.DataClass
    - - com.smartgwt.client.core.RefDataClass
      - - com.smartgwt.client.widgets.form.fields.FormItem
        - - com.smartgwt.client.widgets.form.fields.TextItem
          - - com.smartgwt.client.widgets.form.fields.ColorItem

- All Implemented Interfaces:
    com.google.gwt.event.shared.HasHandlers, HasBlurHandlers, HasChangedHandlers, HasChangeHandlers, HasClickHandlers, HasDoubleClickHandlers, HasEditorEnterHandlers, HasEditorExitHandlers, HasFocusHandlers, HasIconClickHandlers, HasIconKeyPressHandlers, HasItemHoverHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasKeyUpHandlers, HasPendingStatusChangedHandlers, HasPickerColorSelectedHandlers, HasPickerIconClickHandlers, HasTitleClickHandlers, HasTitleDoubleClickHandlers, HasTitleHoverHandlers, HasValueHoverHandlers, HasValueIconClickHandlers
  Direct Known Subclasses:
    ColorPickerItem

      public class ColorItem
      extends TextItem
      implements HasPickerColorSelectedHandlers

  Form item for selecting a color via a pop-up `ColorPicker`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `FormItem.CustomStateGetter, FormItem.StateCustomizer`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `scClassName, warnOnEditorTypeConversion, warnOnEditorTypeConversionDefault`

    - ### Fields inherited from class com.smartgwt.client.core.RefDataClass

      `id`

    - ### Fields inherited from class com.smartgwt.client.core.DataClass

      `factoryCreated, factoryProperties, readOnly`

    - ### Fields inherited from class com.smartgwt.client.core.JsObject

      `jsObj`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColorItem()`
    `ColorItem(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `ColorItem(java.lang.String name)`
    `ColorItem(java.lang.String name, java.lang.String title)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.google.gwt.event.shared.HandlerRegistration` | `addPickerColorSelectedHandler(PickerColorSelectedHandler handler)` Add a pickerColorSelected handler.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, DrawItem defaults)` Changes the defaults for DrawItem AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `static void` | `changePickerIconDefaults(FormItemIcon defaults)`
    `java.lang.Boolean` | `getAllowComplexMode()` Should "complex" mode be allowed for the `ColorPicker` window associated with this ColorItem?
    `ColorPickerMode` | `getDefaultPickerMode()` The `defaultPickMode` for the `ColorPicker` associated with this `ColorItem`.
    `static ColorItem` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.Integer` | `getPickerIconHeight()` If `showPickerIcon` is true for this item, this property governs the size of the picker icon.
    `java.lang.String` | `getPickerIconPrompt()` Prompt to show when the user hovers the mouse over the picker icon.
    `java.lang.String` | `getPickerIconSrc()` If `showPickerIcon` is true for this item, this property governs the `src` of the picker icon image to be displayed.
    `java.lang.Integer` | `getPickerIconWidth()` If `showPickerIcon` is true for this item, this property governs the size of the picker icon.
    `java.lang.Boolean` | `getShowPickerIcon()` Should the pick button icon be shown for choosing colors from a ColorPicker
    `java.lang.Boolean` | `getSupportsTransparency()` Determines whether the `ColorPicker` associated with this ColorItem allows the user to set transparency/opacity information whilst selecting a color.
    `void` | `setAllowComplexMode(java.lang.Boolean allowComplexMode)` Should "complex" mode be allowed for the `ColorPicker` window associated with this ColorItem?
    `void` | `setDefaultPickerMode(ColorPickerMode defaultPickerMode)` The `defaultPickMode` for the `ColorPicker` associated with this `ColorItem`.
    `static void` | `setDefaultProperties(ColorItem colorItemProperties)` Class level method to set the default properties of this class.
    `void` | `setPickerIconHeight(java.lang.Integer pickerIconHeight)` If `showPickerIcon` is true for this item, this property governs the size of the picker icon.
    `void` | `setPickerIconPrompt(java.lang.String pickerIconPrompt)` Prompt to show when the user hovers the mouse over the picker icon.
    `void` | `setPickerIconSrc(java.lang.String pickerIconSrc)` If `showPickerIcon` is true for this item, this property governs the `src` of the picker icon image to be displayed.
    `void` | `setPickerIconWidth(java.lang.Integer pickerIconWidth)` If `showPickerIcon` is true for this item, this property governs the size of the picker icon.
    `void` | `setShowPickerIcon(java.lang.Boolean showPickerIcon)` Should the pick button icon be shown for choosing colors from a ColorPicker
    `void` | `setSupportsTransparency(java.lang.Boolean supportsTransparency)` Determines whether the `ColorPicker` associated with this ColorItem allows the user to set transparency/opacity information whilst selecting a color.

    - ### Methods inherited from class com.smartgwt.client.widgets.form.fields.TextItem

      `deselectValue, deselectValue, getBrowserAutoCapitalize, getBrowserAutoCorrect, getBrowserInputType, getChangeOnKeypress, getCharacterCasing, getEditProxyConstructor, getEnforceLength, getEnteredValue, getEscapeHTML, getFetchMissingValues, getFormatOnBlur, getFormatOnFocusChange, getHint, getKeyPressFilter, getLength, getMask, getMaskOverwriteMode, getMaskPadChar, getMaskPromptChar, getMaskSaveLiterals, getPrintFullText, getSaveOnEnter, getSelectionRange, getSelectOnClick, getSelectOnFocus, getShowHintInField, getSupportsCutPasteEvents, getTextBoxStyle, getUsePlaceholderForHint, getValueAsString, pendingStatusChanged, selectValue, setBrowserAutoCapitalize, setBrowserAutoCorrect, setBrowserInputType, setChangeOnKeypress, setCharacterCasing, setDefaultProperties, setEditProxyConstructor, setEnforceLength, setEscapeHTML, setFetchMissingValues, setFormatOnBlur, setFormatOnFocusChange, setKeyPressFilter, setLength, setMask, setMaskOverwriteMode, setMaskPadChar, setMaskPromptChar, setMaskSaveLiterals, setPastedValueTransformer, setPrintFullText, setSaveOnEnter, setSelectionRange, setSelectOnClick, setSelectOnFocus, setShowHintInField, setSupportsCutPasteEvents, setTextBoxStyle, setUsePlaceholderForHint, shouldFetchMissingValue`

    - ### Methods inherited from class com.smartgwt.client.widgets.form.fields.FormItem

      `_getValue, addBlurHandler, addChangedHandler, addChangeHandler, addClickHandler, addDoubleClickHandler, addEditorEnterHandler, addEditorExitHandler, addFocusHandler, addIconClickHandler, addIconKeyPressHandler, addItemHoverHandler, addKeyDownHandler, addKeyPressHandler, addKeyUpHandler, addPendingStatusChangedHandler, addPickerIconClickHandler, addTitleClickHandler, addTitleDoubleClickHandler, addTitleHoverHandler, addValueHoverHandler, addValueIconClickHandler, asSGWTComponent, blurItem, canEditCriterion, clearErrors, clearValue, disable, disableIcon, enable, enableIcon, error, error, errorIfNotCreated, focusInItem, getAccessKey, getAlign, getAllowExpressions, getAlwaysFetchMissingValues, getApplyAlignToText, getApplyHeightToTextBox, getAriaRole, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsFloat, getAttributeAsInt, getAttributeAsJavaScriptObject, getAttributeAsObject, getAttributeAsString, getAutoComplete, getBrowserSpellCheck, getCanEdit, getCanEditOpaqueValues, getCanFocus, getCanSelectText, getCanvasAutoChild, getCellHeight, getCellStyle, getClassName, getClipStaticValue, getClipTitle, getConfig, getContainerWidget, getControlStyle, getCriteriaField, getCriterion, getCriterion, getCursorPosition, getCustomState, getDataPath, getDateFormatter, getDecimalPad, getDecimalPrecision, getDefaultIconSrc, getDisabled, getDisableIconsOnReadOnly, getDisplayField, getDisplayFieldName, getDisplayValue, getDisplayValue, getEditorTypeConfig, getEditPendingCSSText, getEmptyDisplayValue, getEmptyValueIcon, getEndRow, getErrorIconHeight, getErrorIconSrc, getErrorIconWidth, getErrorMessageWidth, getErrors, getExportFormat, getFieldName, getFilterLocally, getForeignDisplayField, getForm, getFormat, getFormItemAutoChild, getFullDataPath, getGlobalTabIndex, getGridColNum, getGridRowNum, getHeight, getHeightAsString, getHidden, getHintStyle, getHoverAlign, getHoverDelay, getHoverHeight, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getIcon, getIconHeight, getIconHSpace, getIconPageRect, getIconPrompt, getIconRect, getIconVAlign, getIconWidth, getImageURLPrefix, getImageURLSuffix, getImplicitSave, getImplicitSaveOnBlur, getInputFormat, getLeft, getLoadingDisplayValue, getLocateItemBy, getMultipleValueSeparator, getName, getOperator, getOptionCriteria, getOptionFilterContext, getOptionOperationId, getOriginalValueMessage, getPageLeft, getPageRect, getPageTop, getPicker, getPickerIconName, getPickerIconProperties, getPickerIconStyle, getPixelHeight, getPixelWidth, getPrintTextBoxStyle, getPrintTitleStyle, getPrompt, getReadOnlyDisplay, getReadOnlyHover, getReadOnlyTextBoxStyle, getRect, getRedrawOnChange, getRejectInvalidValueOnChange, getRequired, getRequiredMessage, getRowSpan, getScClassName, getSelectedRecord, getShouldSaveValue, getShowClippedTitleOnHover, getShowClippedValueOnHover, getShowDeletions, getShowDisabled, getShowErrorIcon, getShowErrorStyle, getShowErrorText, getShowFocused, getShowFocusedErrorState, getShowFocusedIcons, getShowFocusedPickerIcon, getShowHint, getShowIcons, getShowOldValueInHover, getShowOverIcons, getShowPending, getShowRTL, getShowTitle, getShowValueIconOnly, getStartRow, getStaticHeight, getStopOnError, getSuppressValueIcon, getSynchronousValidation, getTabIndex, getTextAlign, getTimeFormatter, getTitle, getTitleAlign, getTitleColSpan, getTitleOrientation, getTitleStyle, getTitleVAlign, getTooltip, getTop, getType, getUseDisabledHintStyleForReadOnly, getValidateOnChange, getValidateOnExit, getValidOperators, getVAlign, getValue, getValueAsRecordList, getValueDeselectedCSSText, getValueField, getValueFieldName, getValueIconHeight, getValueIconLeftPadding, getValueIconRightPadding, getValueIconSize, getValueIconWidth, getVisible, getVisibleHeight, getVisibleTitleWidth, getVisibleWidth, getWarnOnEditorTypeConversion, getWarnOnEditorTypeConversionDefault, getWidth, getWidthAsString, getWrapTitle, handleWarnOnEditorTypeConversion, hasAdvancedCriteria, hasErrors, hide, hideIcon, invalidateDisplayValueCache, isCreated, isCutEvent, isDisabled, isDrawn, isFocused, isInGrid, isPasteEvent, isVisible, linkToInstanceUponCreate, mapDisplayToValue, mapValueToDisplay, mapValueToDisplay, mapValueToDisplay, redraw, redraw, setAccessKey, setAlign, setAllowExpressions, setAlwaysFetchMissingValues, setApplyAlignToText, setApplyHeightToTextBox, setAriaRole, setAriaState, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoComplete, setBrowserSpellCheck, setCanEdit, setCanEditCriterionPredicate, setCanEditOpaqueValues, setCanFocus, setCanSelectText, setCellHeight, setCellStyle, setClipStaticValue, setClipTitle, setColSpan, setColSpan, setControlStyle, setCriteriaField, setCriterion, setCriterionGetter, setCriterionSetter, setCustomStateGetter, setDataPath, setDateFormatter, setDecimalPad, setDecimalPrecision, setDefaultIconSrc, setDefaultProperties, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDefaultValue, setDisabled, setDisableIconsOnReadOnly, setDisplayField, setDisplayFormat, setDisplayFormat, setEditorProperties, setEditorType, setEditorType, setEditorType, setEditorValueFormatter, setEditorValueParser, setEditPendingCSSText, setEmptyDisplayValue, setEmptyValueIcon, setEndRow, setErrorFormatter, setErrorIconHeight, setErrorIconSrc, setErrorIconWidth, setErrorMessageWidth, setErrorOrientation, setErrors, setErrors, setExportFormat, setFilterLocally, setForeignDisplayField, setFormat, setGlobalTabIndex, setHeight, setHeight, setHidden, setHint, setHintStyle, setHoverAlign, setHoverDelay, setHoverHeight, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setIconDisabled, setIconHeight, setIconHSpace, setIconPrompt, setIcons, setIconVAlign, setIconWidth, setImageURLPrefix, setImageURLSuffix, setImplicitSave, setImplicitSaveOnBlur, setInitHandler, setInputFormat, setInputTransformer, setItemHoverFormatter, setItemTitleHoverFormatter, setItemValueHoverFormatter, setJavaScriptObject, setLeft, setLoadingDisplayValue, setLocateItemBy, setMultipleValueSeparator, setName, setNullProperty, setOperator, setOptionCriteria, setOptionDataSource, setOptionFilterContext, setOptionOperationId, setOriginalValueMessage, setPickerIconName, setPickerIconProperties, setPickerIconStyle, setPrintTextBoxStyle, setPrintTitleStyle, setPrompt, setProperty, setProperty, setProperty, setProperty, setProperty, setReadOnlyDisplay, setReadOnlyHover, setReadOnlyTextBoxStyle, setRedrawOnChange, setRejectInvalidValueOnChange, setRequired, setRequiredMessage, setRowSpan, setScClassName, setShouldSaveValue, setShowClippedTitleOnHover, setShowClippedValueOnHover, setShowDeletions, setShowDisabled, setShowErrorIcon, setShowErrorStyle, setShowErrorText, setShowFocused, setShowFocusedErrorState, setShowFocusedIcons, setShowFocusedPickerIcon, setShowHint, setShowIcons, setShowIfCondition, setShowOldValueInHover, setShowOverIcons, setShowPending, setShowRTL, setShowTitle, setShowValueIconOnly, setStartRow, setStateCustomizer, setStaticHeight, setStopOnError, setSuppressValueIcon, setSynchronousValidation, setTabIndex, setTextAlign, setTimeFormatter, setTitle, setTitleAlign, setTitleColSpan, setTitleHoverFormatter, setTitleOrientation, setTitleStyle, setTitleVAlign, setTooltip, setTop, setType, setUseDisabledHintStyleForReadOnly, setValidateOnChange, setValidateOnExit, setValidators, setValidOperators, setVAlign, setValue, setValue, setValue, setValue, setValue, setValue, setValueDeselectedCSSText, setValueField, setValueFormatter, setValueHoverFormatter, setValueIconHeight, setValueIconLeftPadding, setValueIconMapper, setValueIconRightPadding, setValueIcons, setValueIconSize, setValueIconWidth, setValueMap, setValueMap, setVisible, setWarnOnEditorTypeConversion, setWarnOnEditorTypeConversionDefault, setWidth, setWidth, setWrapTitle, shouldApplyHeightToTextBox, shouldSaveOnEnter, shouldStopKeyPressBubbling, show, showIcon, showPicker, stopHover, storeValue, storeValue, updateState, validate, valueClipped`

    - ### Methods inherited from class com.smartgwt.client.core.RefDataClass

      `getRef, getRef, internalSetID`

    - ### Methods inherited from class com.smartgwt.client.core.DataClass

      `applyFactoryProperties, doAddHandler, fireEvent, getAttributeAsDoubleArray, getAttributeAsIntArray, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsStringArray, getAttributes, getHandlerCount, getReadOnly, isFactoryCreated, logConfiguration, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated, setReadOnly`

    - ### Methods inherited from class com.smartgwt.client.core.JsObject

      `equals, getJsObj, hashCode, setJsObj`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### ColorItem

          public ColorItem()

    - #### ColorItem

          public ColorItem(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### ColorItem

          public ColorItem(java.lang.String name)

    - #### ColorItem

          public ColorItem(java.lang.String name,
                           java.lang.String title)

  - ### Method Detail

    - #### getOrCreateRef

          public static ColorItem getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     DrawItem defaults)

      Changes the defaults for DrawItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - DrawItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changePickerIconDefaults

          public static void changePickerIconDefaults(FormItemIcon defaults)

    - #### setAllowComplexMode

          public void setAllowComplexMode(java.lang.Boolean allowComplexMode)

      Should "complex" mode be allowed for the `ColorPicker` window associated with this ColorItem?

      If false, no "More" button is shown on the simple picker

      Parameters:
        `allowComplexMode` - Default value is true

    - #### getAllowComplexMode

          public java.lang.Boolean getAllowComplexMode()

      Should "complex" mode be allowed for the `ColorPicker` window associated with this ColorItem?

      If false, no "More" button is shown on the simple picker

      Returns:
        Boolean

    - #### setDefaultPickerMode

          public void setDefaultPickerMode(ColorPickerMode defaultPickerMode)

      The `defaultPickMode` for the `ColorPicker` associated with this `ColorItem`.
      Parameters:
        `defaultPickerMode` - Default value is "simple"
      See Also:
        `ColorPicker.setDefaultPickMode(com.smartgwt.client.types.ColorPickerMode)`

    - #### getDefaultPickerMode

          public ColorPickerMode getDefaultPickerMode()

      The `defaultPickMode` for the `ColorPicker` associated with this `ColorItem`.
      Returns:
        ColorPickerMode
      See Also:
        `ColorPicker.getDefaultPickMode()`

    - #### setPickerIconHeight

          public void setPickerIconHeight(java.lang.Integer pickerIconHeight)

      If `showPickerIcon` is true for this item, this property governs the size of the picker icon. If unset, the picker icon will be sized as a square to fit in the available height for the icon.

      It is not recommended to change the pickerIconHeight from the default value if `spriting` is enabled because the image sprites are set up assuming specific, fixed dimensions of the picker icon. If the pickerIconHeight must be changed, then the `pickerIconStyle` should be changed to a custom CSS style name.

      Overrides:
        `setPickerIconHeight` in class `FormItem`
      Parameters:
        `pickerIconHeight` - Default value is 18

    - #### getPickerIconHeight

          public java.lang.Integer getPickerIconHeight()

      If `showPickerIcon` is true for this item, this property governs the size of the picker icon. If unset, the picker icon will be sized as a square to fit in the available height for the icon.

      It is not recommended to change the pickerIconHeight from the default value if `spriting` is enabled because the image sprites are set up assuming specific, fixed dimensions of the picker icon. If the pickerIconHeight must be changed, then the `pickerIconStyle` should be changed to a custom CSS style name.

      Overrides:
        `getPickerIconHeight` in class `FormItem`
      Returns:
        Integer

    - #### setPickerIconPrompt

          public void setPickerIconPrompt(java.lang.String pickerIconPrompt)

      Prompt to show when the user hovers the mouse over the picker icon.
      Overrides:
        `setPickerIconPrompt` in class `FormItem`
      Parameters:
        `pickerIconPrompt` - See `HTMLString` . Default value is "Click to select a new color"

    - #### getPickerIconPrompt

          public java.lang.String getPickerIconPrompt()

      Prompt to show when the user hovers the mouse over the picker icon.
      Overrides:
        `getPickerIconPrompt` in class `FormItem`
      Returns:
        See `HTMLString`

    - #### setPickerIconSrc

          public void setPickerIconSrc(java.lang.String pickerIconSrc)

      If `showPickerIcon` is true for this item, this property governs the `src` of the picker icon image to be displayed.
      Overrides:
        `setPickerIconSrc` in class `FormItem`
      Parameters:
        `pickerIconSrc` - See `SCImgURL` . Default value is "[SKIN]/DynamicForm/ColorPicker_icon.png"

    - #### getPickerIconSrc

          public java.lang.String getPickerIconSrc()

      If `showPickerIcon` is true for this item, this property governs the `src` of the picker icon image to be displayed.
      Overrides:
        `getPickerIconSrc` in class `FormItem`
      Returns:
        See `SCImgURL`

    - #### setPickerIconWidth

          public void setPickerIconWidth(java.lang.Integer pickerIconWidth)

      If `showPickerIcon` is true for this item, this property governs the size of the picker icon. If unset, the picker icon will be sized as a square to fit in the available height for the icon.

      It is not recommended to change the pickerIconWidth from the default value if `spriting` is enabled because the image sprites are set up assuming specific, fixed dimensions of the picker icon. If the pickerIconWidth must be changed, then the `pickerIconStyle` should be changed to a custom CSS style name.

      Overrides:
        `setPickerIconWidth` in class `FormItem`
      Parameters:
        `pickerIconWidth` - Default value is 18

    - #### getPickerIconWidth

          public java.lang.Integer getPickerIconWidth()

      If `showPickerIcon` is true for this item, this property governs the size of the picker icon. If unset, the picker icon will be sized as a square to fit in the available height for the icon.

      It is not recommended to change the pickerIconWidth from the default value if `spriting` is enabled because the image sprites are set up assuming specific, fixed dimensions of the picker icon. If the pickerIconWidth must be changed, then the `pickerIconStyle` should be changed to a custom CSS style name.

      Overrides:
        `getPickerIconWidth` in class `FormItem`
      Returns:
        Integer

    - #### setShowPickerIcon

          public void setShowPickerIcon(java.lang.Boolean showPickerIcon)

      Should the pick button icon be shown for choosing colors from a ColorPicker
      Overrides:
        `setShowPickerIcon` in class `FormItem`
      Parameters:
        `showPickerIcon` - Default value is true

    - #### getShowPickerIcon

          public java.lang.Boolean getShowPickerIcon()

      Should the pick button icon be shown for choosing colors from a ColorPicker
      Overrides:
        `getShowPickerIcon` in class `FormItem`
      Returns:
        Boolean

    - #### setSupportsTransparency

          public void setSupportsTransparency(java.lang.Boolean supportsTransparency)

      Determines whether the `ColorPicker` associated with this ColorItem allows the user to set transparency/opacity information whilst selecting a color. If false, no opacity slider is shown and all colors are 100% opaque.

      Note ColorItems are representations of HTML color strings, they do not implicitly support transparency. Setting supportsTransparency to true just allows the user to set opacity with the picker; if you actually want to capture that information, you will also need to override `ColorItem.pickerColorSelected()`.

      Parameters:
        `supportsTransparency` - Default value is false

    - #### getSupportsTransparency

          public java.lang.Boolean getSupportsTransparency()

      Determines whether the `ColorPicker` associated with this ColorItem allows the user to set transparency/opacity information whilst selecting a color. If false, no opacity slider is shown and all colors are 100% opaque.

      Note ColorItems are representations of HTML color strings, they do not implicitly support transparency. Setting supportsTransparency to true just allows the user to set opacity with the picker; if you actually want to capture that information, you will also need to override `ColorItem.pickerColorSelected()`.

      Returns:
        Boolean

    - #### addPickerColorSelectedHandler

          public com.google.gwt.event.shared.HandlerRegistration addPickerColorSelectedHandler(PickerColorSelectedHandler handler)

      Add a pickerColorSelected handler.

      Store the color value selected by the user from the color picker. You will need to override this method if you wish to capture opacity information from the `ColorPicker`

      Specified by:
        `addPickerColorSelectedHandler` in interface `HasPickerColorSelectedHandlers`
      Parameters:
        `handler` - the pickerColorSelected handler
      Returns:
        `HandlerRegistration` used to remove this handler

    - #### setDefaultProperties

          public static void setDefaultProperties(ColorItem colorItemProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties of the class instance passed to this function. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `colorItemProperties` - properties that should be used as new defaults when instances of this class are created
      See Also:
        `SGWTProperties`